openmpi (5.0.8-8ubuntu1) questing; urgency=medium

  * Really fix hard-coded fortran mod directory in patches.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 06 Sep 2025 15:03:06 +0200

openmpi (5.0.8-8) unstable; urgency=medium

  * Fix hard-coded fortran mod directory in patch. Closes: #1097520

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Sep 2025 15:55:38 +0100

openmpi (5.0.8-7) unstable; urgency=medium

  * Rebuild with gfortran-15, update FMODDIR in d/rules. Closes: #1097520
  * Close bug, fixed with pmix 6.0.0-3 upload. Closes: #1112049

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Sep 2025 10:15:55 +0100

openmpi (5.0.8-6) unstable; urgency=medium

  * Partial revert of 1107591 that breaks compilation
  * Properly close bug. Closes: #1112291

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Aug 2025 09:04:55 +0100

openmpi (5.0.8-5) unstable; urgency=medium

  [ Alastair McKinstry ]
  * Ship pmix_zlib.so plugin. Closes: #1112291
  * Close bug fixed in pmix. Closes: #1112049

  [ Helmut Grohe ]
  * Make Build-Depends compatible with cross building. Closes: #1107591

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 29 Aug 2025 13:25:06 +0100

openmpi (5.0.8-4) unstable; urgency=medium

  * Ship missing docs that break tests. Closes: #1112181

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 27 Aug 2025 15:10:10 +0100

openmpi (5.0.8-3) unstable; urgency=medium

  * Fix breaks/replaces for libpmix2t64 version.
  * Close old bug. Closes: #1111199

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 25 Aug 2025 15:42:08 +0100

openmpi (5.0.8-2) unstable; urgency=medium

  * Use internal pmix. Closes: #1111125

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Aug 2025 11:10:34 +0100

openmpi (5.0.8-1) experimental; urgency=medium

  * New upstream release
    - sshmem.patch: fixed upstream
  * Standards-Version: 4.7.2
  * Updated library minor versions:
    - libprrte.so.3.0.11

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 05 Jun 2025 16:36:20 +0100

openmpi (5.0.7-1) unstable; urgency=medium

  * New upstream release
  * prte_data_server.patch: Merged upstream
  * Update/fix metadata on d/patches
  * Updated library minor versions:
    - libmpi.so.40.40.7
    - libprrte.so.3.0.8
  * sshmmem.patch: cast to fix  Wint-conversion
  * Don't install pcc

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 17 Feb 2025 13:09:46 +0000

openmpi (5.0.6-4) unstable; urgency=medium

  * Strip rpath from wrapper files. Closes: #1085509
  * Build-dep on pmix > 5.0.6-2 for symlink fix

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 09 Feb 2025 09:54:48 +0000

openmpi (5.0.6-3) unstable; urgency=medium

  * Fix broken symlink libprrte.so. Closes: #1088767
  * Add Rules-Requires-Root: no
  * Drop kfreebsd-* support

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 02 Dec 2024 05:44:06 +0000

openmpi (5.0.6-2) unstable; urgency=medium

  * Typo in libprrte.so link
  * Upstream patch for prte type  error. Closes: #1087800

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Nov 2024 11:33:09 +0000

openmpi (5.0.6-1) experimental; urgency=medium

  * Upstream 5.0.6 bugfix release
  * Don't ship orte.pc
  * Merge 5.0.5-6 changes to debian/experimental for transition.
    Closes: #1087683, #1078026
  * Fix PRTE bug for #1087800 (prte-types.patch)
  * Updated library minor versions:
    - libmpi_mpifh.so.40.40.1
    - libmpi_usempi_ignore_tkr.so.40.40.1
    - libmpi_usempif08.so.40.40.3
    - libmpi_java.so.40.40.1
    - libmpi.so.40.40.6
    - libopen-pal.so.80.0.5
    - liboshmem.so.40.40.4
    - libprrte.so.3.0.7

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 19 Nov 2024 11:05:55 +0000

openmpi (5.0.5-6) unstable; urgency=medium

  * libmca_* not shipped; delete broken symlinks
  * Fix other broken symlinks: docs,etc
  * Correct paths in mpi wrappers. Closes: #1086209, #10870100
  * Update d/tests/* for  pkgconf tests
  * Drop rpath from libs. Closes: #1085509
  * Update README.Debian

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 09 Nov 2024 06:29:12 +0000

openmpi (5.0.5-4) experimental; urgency=medium

  * Transition: libopenmpit364 -> libopenmpi40, as libmpi_cxx dropped
  * Avoid passing FMODDIR to wrapper data for arch-dependent paths;
    sed to ${libdir}/.. instead.  Closes: #1085258
  * Move pkg-config -> pkgconf
  * openmpi-doc: depend on libjs-jquery, fonts-font-awesome
  * Add riscv64 to libucx-dev build-dep

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Oct 2024 05:12:40 +0100

openmpi (5.0.5-3) unstable; urgency=medium

  * Ensure files not installed in a binary-indep build are listed in
    d/not-installed. Closes: #1085151
  * Fix 2 links that were not updated
    libmpi.so.40.40.5
    libmpi_usempif08-gfortran.so.40.40.2
  * Drop obsolete refs to kfreebsd-i386 in d/control

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 16 Oct 2024 11:03:15 +0100

openmpi (5.0.5-2) unstable; urgency=medium

  * Push to unstable for pseudo-transition. Closes: #1078212

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 13 Oct 2024 17:53:18 +0100

openmpi (5.0.5-1) experimental; urgency=medium

  * New upstream release
  * Ack old bug fixed: Closes: #1070985

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 24 Jul 2024 07:48:34 +0100

openmpi (5.0.4-1) experimental; urgency=medium

  * New upstream release
  * libs change:
    libmpi.so.40.40.3  -> libmpi.so.40.40.4
    libmpi_usempif08.so.40.40.1 -> libmpi_usempif08.so.40.40.2
    libopen-pal.so.80.0.3 -> libopen-pal.so.80.0.4
    liboshmem.so.40.40.2 -> liboshmem.so.40.40.3
    libprrte.so.3.0.5 -> libprrte.so.3.0.6

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 23 Jul 2024 08:56:29 +0100

openmpi (5.0.3-3) experimental; urgency=medium

  * Add t64 transition changes to 5.0.3 version; Closes: #1064263
  * S-V: 4.7.0; no changes required
  * Make science team the Maintainer

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 13 May 2024 15:33:51 +0100

openmpi (5.0.3-2) experimental; urgency=medium

  * Rename /usr/bin/pterm to pterm.openmpi. Closes: #1056054, #1068808

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 11 Apr 2024 16:16:39 +0100

openmpi (5.0.3-1) experimental; urgency=medium

  * New upstream release
  * Ensure mpiexec.openmpi -> mpirun.openmpi not mpirun, as mpirun may 
    be redirected by alternatives
  * pcc no longer shipped?
  * libs change:
     libopen-pal.so.80.0.2 -> libopen-pal.so.80.0.3
     libprrte.so.3.0.3 -> libprrte.so.3.0.5
     liboshmem.so.40.40.1 -> liboshmem.so.40.40.2
     libmpi.so.40.40.2 -> 40.40.3

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Apr 2024 14:29:18 +0100

openmpi (5.0.2-1) experimental; urgency=medium

  * New upstream release
  * libs change:
     liboshmem.so.40.40.0 -> liboshmem.so.40.40.1
     libopen-pal.so.80.0.0 -> libopen-pal.so.80.0.2
     libprrte.so.3.0.2 -> libprrte.so.3.0.3
     libmpi.so.40.40.0 -> 40.40.2
     libmpi_usempif08.so.40.40.0 -> libmpi_usempif08.so.40.40.1
  * B-D on architecture-is-64-bit. No longer support 32-bit systems
  * libopenmpi-dev.postinst.in: drop mpic++ links for >= 5.0.0
  * autopkg tests must not have underscores in names
  * Add pkgconfi to tests
  * libopenmpi-dev deps on fortran:Depends

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 10 Feb 2024 12:25:11 +0000

openmpi (5.0.1-1) experimental; urgency=medium

  * New upstream release
  * libs change: 
      libprrte.so.3.0.2 -> libprrte.so.3.0.3
      libopen-pal.so.80.0.0 -> libopen-pal.so.80.0.1
      liboshmem.so.40.40.0  -> liboshmem.so.40.40.1

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 05 Jan 2024 16:34:38 +0000

openmpi (5.0.0-1) experimental; urgency=medium

  * New upstream release
  * libs change: 
      liboshmem.so.40.30.3 -> liboshmem.so.40.40.0
      libmpi_java: 40.30.0 -> libmpi_java.so.40.40.0
      libopen-pal.40.30.3 -> libopen-pal.80.0.0
      libmpi.so.40.30.6   -> libmpi.so.40.40.0
      libmpifh.so.40.40.0 -> libmpifh.40.40.0
      libmpi_usempif08.so.40.30.0 -> libmpi_usempif08.so.40.40.0
      libmpi_usempi_ignore_tkr.so.40.30.0 -> libmpi_usempi_ignore_tkr.so.40.40.0
      libompitrace.so.40.30.1 -> libompitrace.so.40.40.0
      libopen-rte.so.40.30.3 no longer shipped
      libmca_* no longer shipped
      Now ship libprrte.so.3.0.2

  * Patch for hurd-amd64 thanks to Sam Thibault. Closes: #1055425
  * Disable C++ support - dropped from MPI standard
  * B-D on python3-sphinx-rtd-theme,  python3-recommonmark for docs

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 14 Nov 2023 19:17:54 +0000

openmpi (4.1.6-13) unstable; urgency=medium

  * Move pmix help files to libopenmpi3t64, not openmpi3-common

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 27 Apr 2024 17:37:26 +0100

openmpi (4.1.6-12) unstable; urgency=medium

  * Use Conflicts/Provides/Replaces libpmix2. Closes: #1068735
  * Patch from Adrian Bunk for atomics.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Apr 2024 14:45:23 +0100

openmpi (4.1.6-11) unstable; urgency=medium

  * Ship help text files for pmix. Closes: #1069106

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 17 Apr 2024 11:15:11 +0100

openmpi (4.1.6-10) unstable; urgency=medium

  * libopenmpi3t64 breaks/replaces libpmix2t64 not libpmix2.
    Closes: #1068735

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 11 Apr 2024 10:25:06 +0100

openmpi (4.1.6-9) unstable; urgency=medium

  * Ship pmix on 32-bit systems; ensure we break/depend on libpmix on 32-bit
    systems. Closes: #1067784, #1068612

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 09 Apr 2024 09:17:18 +0100

openmpi (4.1.6-8) unstable; urgency=medium

  * Only dep on libpmix on 64-bit systems.
  * Disable modules that need 64-bit atomic ops on 32-bit systems.
    Closes: #1067055

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Apr 2024 14:34:22 +0100

openmpi (4.1.6-7) unstable; urgency=medium

  * Drop hard-coded pmix2 dependency. Closes: #1066885

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Mar 2024 06:14:07 +0000

openmpi (4.1.6-6) unstable; urgency=medium

  * Patch from Zixing Liu to change libnames in d/rules for t64 transition.
    Closes: #1066834

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Mar 2024 08:19:07 +0000

openmpi (4.1.6-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064263

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 12:37:33 +0000

openmpi (4.1.6-5) unstable; urgency=medium

  * Ensure pkg-config is present for autopkgtests

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Jan 2024 17:14:56 +0000

openmpi (4.1.6-4) unstable; urgency=medium

  * Revert FMODDIR to libdir via dh-fortran-mod >= 0.31.
    Closes: #1058876
  * Add fortran-suppport.mk 
  * Add fortran:Depends, fortran:Recommends to libopenmpi-dev
  * Depend on dh-fortran-mod (>= 0.31)

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 01 Jan 2024 17:14:39 +0000

openmpi (4.1.6-3) unstable; urgency=medium

  * Pass FMODDIR into pkg-config. Closes: #1058876
  * Update mpi wrappers data for fmoddir
  * Now ship pkg-config  ompi-f77.pc, opal.pc links in d/libopenmpi-dev
  * Expand debian/tests to cover mpi wrapper, pkg-config compiles

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 Dec 2023 14:06:07 +0000

openmpi (4.1.6-2) unstable; urgency=medium

  * Fix change of FMODDIR to /usr/include*. Closes: #1058526

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Dec 2023 08:57:13 +0000

openmpi (4.1.6-1) unstable; urgency=medium

  * New upstream release
  * Minor link change: libmpi.so.40.30.5 -> libmpi.so.40.30.6

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Oct 2023 13:00:06 +0100

openmpi (4.1.5-3) unstable; urgency=medium

  * Rebuild against gcc-13. Closes: #1050031

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Aug 2023 09:51:43 +0100

openmpi (4.1.5-2) unstable; urgency=medium

  * Standards-Version: 4.6.2
  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 11 Jun 2023 12:13:42 +0100

openmpi (4.1.5-1) experimental; urgency=medium

  * New upstream release
  * Update links:
    - libmpi.so.40.30.4 -> libmpi.so.40.30.5
    - libopen-pal.so.40.30.2 -> libopen-pal.so.40.30.3
    - libopen-rte.so.40.30.2 -> libopen-rte.so.40.30.3
    - liboshmem.so.40.30.2 -> liboshmem.so.40.30.3

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 18 Mar 2023 10:06:21 +0000

openmpi (4.1.4-3) unstable; urgency=medium

  * Rebuild against latest dh-fortran-mod, pmix 4.2.1

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 12 Oct 2022 12:52:34 +0100

openmpi (4.1.4-2) unstable; urgency=medium

  * Fix broken oshmem symlink. Closes: #1009748

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 03 Sep 2022 15:47:37 +0100

openmpi (4.1.4-1) unstable; urgency=medium

  * New upstream release
  * Update links:
    - libmpi.so.40.30.3 -> libmpi.so.40.30.4
    - /libmca_common_ompio.so.41.29.3 -> /libmca_common_ompio.so.41.29.4
  * Standards-Versoin: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 29 May 2022 10:51:27 +0100

openmpi (4.1.3-2) unstable; urgency=medium

  * Update links:
    - libmca_common_ompio.so.41.29.2 -> libmca_common_ompio.so.41.29.3
    - libmca_common_ucx.so.40.30.1 -> libmca_common_ucx.so.40.30.2
    Closes: #1008966
  * Fix autopkgtest that was incorrectly silent: Closes: #1009263

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 11 Apr 2022 08:32:17 +0100

openmpi (4.1.3-1) unstable; urgency=medium

  * New upstream release
  * Update links:
     - libmpi.so.40.30.2  -> libmpi.so.4.0.30.2
     - libompitrace.so.40.30.0 -> libompitrace.so.40.30.1

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 02 Apr 2022 09:05:27 +0100

openmpi (4.1.2-2) unstable; urgency=medium

  * Add link for mpifort-wrapper-data. Closes: #1006453

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 01 Mar 2022 12:39:43 +0000

openmpi (4.1.2-1) unstable; urgency=medium

  * Nww upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 28 Nov 2021 08:20:25 +0000

openmpi (4.1.2~rc1-5) unstable; urgency=medium

  * Drop unused and broken link to libopen-orted-mpir.so

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 27 Oct 2021 09:08:51 +0100

openmpi (4.1.2~rc1-4) unstable; urgency=medium

  * Move java docs to openmpi-doc package
  * Add Breaks/Replaces for file move libopenmpi-dev -> openmpi-doc
  * Delete obsolete breaks/replaces

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 29 Sep 2021 11:49:06 +0100

openmpi (4.1.2~rc1-3) unstable; urgency=medium

  * Update versions: 
    - libmca_common_ompio.so 41.29.1 ->  41.29.2
    - libmca_common_ofi.so 10.0.1 -> 10.0.2
    Closes: #995150
  * Add autopkg test for unlinked shared libs
  * Add alpha, ppc64, sparc64 to the 'nojava' arch list
  * Only install javadocs via d/rules inside conditional

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 28 Sep 2021 08:11:18 +0100

openmpi (4.1.2~rc1-2) unstable; urgency=medium

  * Drop deprecated "stage1" build profile in favour of "nojava"
  * Don't depend on libfabric-dev on sh4, powerpc, x32
  * Only install java wrapper script on java platforms (not hurd)
  * Don't try to build java support on kfreebsd-*

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 26 Sep 2021 10:55:45 +0100

openmpi (4.1.2~rc1-1) experimental; urgency=medium

  * New upstream release
  * Drop merged patches:
    - pr8827.patch
    - no-ship-orted-mpir.patch
    - pr8596.patch
  * Update libversions:
    - libmpi.so.40.30.1 -> libmpi.so.40.30.2
    - libmpi_cxx.so.40.30.0 -> libmpi_cxx.so.40.30.1
    - libopen-pal.so.40.30.1 -> libopen-pal.so.40.30.2
    - libopen-rte.so.40.30.1 -> libopen-rte.so.40.30.2

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 25 Sep 2021 13:20:47 +0100

openmpi (4.1.1-5) unstable; urgency=medium

  * Include pr8596.patch from 4.1.0-9 in 4.1.1

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 08 Sep 2021 14:07:52 +0100

openmpi (4.1.1-4) unstable; urgency=medium

  * Don't ship libopen-orted-mpir.so. Patch from upstream for 4.1.2
    internal lib only.
  * Also exclude mtl ofi to deal with libfabric fork in tests.
    Closes: #979041

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 02 Sep 2021 13:31:02 +0100

openmpi (4.1.1-3) unstable; urgency=medium

  * Don't embed username, hostname in binaries. Closes: #990254.
    Thanks, Vagrant Cascadian
  * Ship libopen-orted-mpir.so in -dev pkg only. Closes: #993041, #993038
  * Close bug fixed in previous release. Closes: #945120
  * Fix FTBFS with missing javadocs in stage1/no java builds.
    Closes: #979877, #975995

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 Aug 2021 12:04:06 +0100

openmpi (4.1.1-2) unstable; urgency=medium

  * Ensure libopen-orted-mpir.so is shipped
  * Update so minor versions on libmca_common_ofi, libmca_common_ompio.
    Closes: #989111
  * Enable IPv6. Closes: #989694.
  * Standards-Version: 4.6.0; no changes required
  * Build with autoconf 2.71 ; Closes: #978878

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 26 Aug 2021 09:28:50 +0100

openmpi (4.1.1-1) experimental; urgency=medium

  * New upstream release
  * Patches merged upstream: 
     - external-pmix-fix.patch
     - external-pmix-fix.patch
     - grequest-fix.patch

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 11 May 2021 10:11:22 +0100

openmpi (4.1.0-10) unstable; urgency=medium

  * Rebuild against ucx 1.10.1~rc1+really.1.10.0-1 for buster

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 27 May 2021 09:16:24 +0100

openmpi (4.1.0-9) unstable; urgency=medium

  * Pull fix for Memory leak in MPI_Allreduce when using a repeatedly created
    and freed MPI_Datatype. Closes: #987261
  * Workaround for mpirun crashes when trying to schedule a task on
    a foreign host. Closes: #984956

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 13 May 2021 14:01:44 +0100

openmpi (4.1.0-8) unstable; urgency=medium

  * Ship mpiijavac.pl script. Closes: #984962

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 11 Mar 2021 18:29:08 +0000

openmpi (4.1.0-7) unstable; urgency=medium

  * Also disable ofi BTL to avoid libfabric issues
    (user can re-enable on systems with RDMA hardware)
    Closes: #979041
  * Backport grequest fix from 4.1.x. Closes: #979480

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Jan 2021 17:22:18 +0000

openmpi (4.1.0-6) unstable; urgency=medium

  * Disable UCX by default to avoid spurious errors on systems
    without rdmacm hardware. Closes: #90033

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Jan 2021 11:43:39 +0000

openmpi (4.1.0-5) unstable; urgency=medium

  * libfabric-dev now available on all bar hurd, kfreebsd
  * libnuma-dev now available on all bar hurd, kfreebsd
  * Exclude openib by default, update README.Debian to explain.
  * Patch to detect pmix 4.  Closes: #979041

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 09 Jan 2021 19:42:23 +0000

openmpi (4.1.0-4) unstable; urgency=mediuzm

  * Rename some scripts to drop language suffix
    - aggregate_profile.pl -> aggregate_profile
    - profile2mat.pl -> profile2man
  * Drop dependencies on libpmix* as we use the internal version
  * Fix for missing plugin mca_op_avx.so. Closes: #979041, #978496
  * Update shymlink to jquery.js for version number change

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 03 Jan 2021 22:22:09 +0000

openmpi (4.1.0-3) unstable; urgency=medium

  * Set -latomic on some archs for pmix
  * Fix overreaching find in d/rules
  * Make install of shmemc++.1 conditional

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 28 Dec 2020 17:17:04 +0000

openmpi (4.1.0-2) unstable; urgency=medium

  * Update d/watch file
  * Use internal pmix until pmix 4.0 supported.
    Closes: #978022,  #978308, #978203, #978066

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 27 Dec 2020 14:38:05 +0000

openmpi (4.1.0-1) unstable; urgency=medium

  * New upstream release
    - minor lib versions updated to 40.30.0
  * Standards-Version: 4.5.1

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Dec 2020 10:56:34 +0000

openmpi (4.0.5-7) unstable; urgency=medium

  * Undo NO_PMIX_ARCH for armel, mipsel no longer needed as atomic
    primitives now provided in external pmix. Closes: #971669

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 14 Oct 2020 20:08:08 +0100

openmpi (4.0.5-6) unstable; urgency=medium

  * Update VCS-* headers to point to debian/latest branch. Closes: #970707
  * Rebuild to drop build of mca_pmix_pmix3.so on armel/mipsel (triggered by
    misconfig in pmix package) ?

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Oct 2020 08:46:30 +0100

openmpi (4.0.5-5) unstable; urgency=medium

  * Drop amd64 from NO_PMIX_ARCH (debugging test). Closes: #970698
  * Update Breaks/Replaces to cope with bug regression below

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 21 Sep 2020 21:29:06 +0100

openmpi (4.0.5-4) unstable; urgency=medium

  * Regression fix: man pages belong in openmpi-bin, Closes: #970442
  * Set B-D on libpmix-dev. Closes: #970193
  * Add dependency on libevent-dev to libopenmpi-dev. Closes: #945121

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 17 Sep 2020 11:25:15 +0100

openmpi (4.0.5-3) unstable; urgency=medium

  * Revert autogenerated vars in preinst/postinst. Closes: #970036
  * Update pmix path for libpmix-dev >= 3.2.0rc1-2
  * Ack. bug closed due to mpi4py test disabled: Closes: #965352.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 12 Sep 2020 12:33:38 +0100

openmpi (4.0.5-2) unstable; urgency=medium

  * in binary-indep builds, ignore stuff thats not installed (d/not-installed)

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 10 Sep 2020 09:18:52 +0100

openmpi (4.0.5-1) unstable; urgency=medium

  * New upstream release
  * Update libversions:
    libmpi.so 40.20.4 -> 40.20.5
    libopen-pal.so 40.20.4 -> 40.20.5
    libopen-rte.so 40.20.4 -> 40.20.5
    libmpi_usempif08: 40.21.1 -> 40.21.2
  * Add libpmix-dev as Dependency of libopenmpi-dev
  * Depend on libjs-jquery-ui in -dev pkg rather than use external version
  * Move to debhelper 13; use DEB_HOST_MULTIARCH vars rather than autogenerated
    link, install files
  * Drop use_openib patch now that UCX enabled
  * Change gdb.conf and branch names to match DEP-14 recommendations

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 09 Sep 2020 16:48:29 +0100

openmpi (4.0.4-2) unstable; urgency=medium

  * Re-enable liboshmem.so
  * Se hwloc to external for clarity
  * Enable UCX support
    - Add libmca_common_ucx.so lib
  * Tidy up d/rules to use more dh_* commands not cp/mv
  * Ship javadocs in libopenmpi-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 15 Jul 2020 07:59:50 +0100

openmpi (4.0.4-1) unstable; urgency=medium

  * New upstream release
  * Update libversions:
    libmpi.so 40.20.3 -> 40.20.4
    libopen-pal.so 40.20.3 -> 40.20.4
    libopen-rte.so 40.20.3 -> 40.20.4
    libmpi_usempif08: 40.21.0 -> 40.21.1
  * Updated build config for ia64, thanks to John Paul Adrian Glaubitz.
    Closes: #963729

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 02 Jul 2020 08:42:05 +0100

openmpi (4.0.3-9) unstable; urgency=medium

  * Add config to use Infiniband on 4.0+. Closes: #962180

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 09 Jun 2020 17:09:51 +0100

openmpi (4.0.3-8) unstable; urgency=medium

  * Undo 64-bit; 
  * Add breaks to avoid libhwloc.so.5/so.15 collision. Closes: #961631

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 28 May 2020 16:35:04 +0100

openmpi (4.0.3-7) experimental; urgency=medium

  * Experimental full 64-bit build

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 May 2020 12:12:06 +0100

openmpi (4.0.3-6) unstable; urgency=medium

  * libopenmpi-dev now depends on zlib1g-dev

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 12 Apr 2020 12:47:29 +0100

openmpi (4.0.3-5) unstable; urgency=medium

  * Fix autopkgtest scripts to run in right directory; dep on gcc, gfortran
  * Correct JAVA condition so its not built on hppa. Closes: #956161

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Apr 2020 14:02:54 +0100

openmpi (4.0.3-4) unstable; urgency=medium

  * Hard-code GFORTRAN_VERSION as gfortran-mod-15 for the moment to avoid
    pulling arch-dep stuff into openmpi-common (mpi wrappers)

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 08 Apr 2020 14:19:09 +0100

openmpi (4.0.3-3) unstable; urgency=medium

  * Fix broken link for libmpi_usempi_ignore_tkr.so

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 07 Apr 2020 13:56:17 +0100

openmpi (4.0.3-2) unstable; urgency=medium

  * Fix broken psm conditional that causes FTBFS on non-intel archs
  * Use gcc rather than patchelf to change sonames for gfortan libs;
    patchelf causes ldconfig to create wierd files and breaks dwz
    Closes: #955708
  * Ensure mpif*.h headers are also present in the fortran mod dir that
    mpif90/mpif77 now searches. Closes: #955749

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 05 Apr 2020 11:56:15 +0100

openmpi (4.0.3-1) unstable; urgency=medium

  * New upstream release. Closes: #954932
    Some lib changes: 
    - libmpi    40.20.2 -> 40.20.3
    - libopen-pal  40.20.2 -> 40.20.3
    - libopen-rte 40.20.2 -> 40.20.3
    - libmpi_usempif08  40.20.1 -> 40.21.0
    - libmca_common_ompio.so. 41.19.2 -> 41.19.3
  * Standards-Version: 4.5.0
  * Enable java build on riscv64. Closes: #933738
  * Build with both gfortran and flang (where possible)
    But don't depend on flang until it supports llvm-9
  * Drop B-D on gcc >= 4, Obsolete
  * Don't have openmpi-bin depend on libopenmpi-dev.
    THIS MAY BREAK THINGS EXPECTING libopenmpi-dev TO SHIP mpicc*, etc.
    THEY SHOULD DEPEND ON MPI-DEFAULT-DEV instead.
  * Build without '--with-ltdl'; 4.* uses dlopen directly.
  * Use dh-sequence-fortran-mod instead of --with fortran_mod
  * Add initial hello_world sanity package tests

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 30 Mar 2020 15:10:13 +0100

openmpi (4.0.2-5) unstable; urgency=medium

  * Fix typos in d/changelog
  * Ship orte-server. Closes: #946542

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 18 Dec 2019 13:41:29 +0000

openmpi (4.0.2-4) unstable; urgency=medium

  * Version numbers on libs changed:
   - libmpi_java.so now version 40.20.0
   - libmca_common_monitoring.so now 50.10.0
   - libmca_common_ompio.so now 41.19.2
   - libmca_common_verbs.so now 40.20.0 
   - libmca_common_ofi.so, liboshmem.so no longer produced
   - Closes: #945170, 
  * Close old bug: Closes #945121
  * Update postinst scripts, remove preinst scripts; remove stuff no longer
    needed post buster

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 21 Nov 2019 14:35:36 +0000

openmpi (4.0.2-3) unstable; urgency=medium

  * Add dependency on libevent-dev to libopenmpi-dev. Closes: #933738
  * Drop deprecated Fortran-Mod: clause from d/control. Closes: #916860
  * Enable java support for riscv64. Closes: #933738
  * dh_fortran_mod now adds Fortran dependencies. Closes: #916159
  * As of last upload, openmpi no longer prints warnings to stderr
    by default. Closes: #814451
  * Recent openmpi works in chroot. Closes: #494046
  * OpenMPI4 works with hwloc2. Closes: #916794.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 20 Nov 2019 09:24:14 +0000

openmpi (4.0.2-2) unstable; urgency=medium

  * Move to unstable. Closes: #941996
  * Set OMPI_MCA_btl_base_warn_component_unused=0 by default to silence 
    warnings. Add README.Debian to say so.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 19 Nov 2019 11:55:49 +0000

openmpi (4.0.2-1) experimental; urgency=medium

  * New upstream release
   - libmpi_usempi_ignore_tkr.so now .40.20.0 
   - libompitrace.so now 40.20.0

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 22 Oct 2019 18:04:21 +0100

openmpi (4.0.2~rc1-1) experimental; urgency=medium

  * New upstream release
   - libmpi_cxx.so, libmpi_usempif08.so  now 40.20.1
   - libmpi_mpifh, libmpi.so now 40.20.2
   - libopen-pal, libopen-rte now 40.20.2

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Sep 2019 06:46:16 +0100

openmpi (4.0.1-1) experimental; urgency=medium

  * New upstream release
   -  orte-ps, orte-top, orte-server, orte-dvm, prun no longer built.
   - libmca_common_sm now 40.20.0
   - libmpi.so, libmpi_mpifh,libopen-rte,libopen-pal  now 40.20.1
  * Undo --no-parallel.
  * Standards-Version: 4.4.0
  * Use debhelper-compat (= 12)
  * Drop B-D on gcc7 for ia64 (no longer a release arch)

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 21 Jul 2019 11:20:58 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libopenmpi40`.
